# WARNING : Version 1.9.0 or higher of Adios is recommended (an older version can induced fatal bugs during execution)

FIND_PATH(ADIOS_INCLUDE_PATH
	NAMES adios.h
	PATHS /usr/include
	NO_DEFAULT_PATH
	)

FIND_LIBRARY(ADIOS_LIBRARY
	NAMES adios
	PATHS /usr/lib/x86_64-linux-gnu
	NO_DEFAULT_PATH
	)

IF(ADIOS_LIBRARY)
	SET(ADIOS_LIBRARIES ${ADIOS_LIBRARY})
ENDIF()

IF(ADIOS_INCLUDE_PATH)
	MESSAGE(STATUS "Found Adios header: ${ADIOS_INCLUDE_PATH}/adios.h")
ELSE()
	MESSAGE(FATAL_ERROR "Could not find Adios header")
ENDIF()

IF(ADIOS_LIBRARIES)
	MESSAGE(STATUS "Found Adios library: ${ADIOS_LIBRARIES}")
ELSE()
	MESSAGE(FATAL_ERROR "Could not find Adios library")
ENDIF()
