# WARNING : Version 1.9.0 or higher of Adios is recommended (an older version can induced fatal bugs during execution)

FIND_PATH(ADIOS_INCLUDE_DIR
	NAMES adios.h
	PATHS /usr/include
	NO_DEFAULT_PATH
	)

FIND_LIBRARY(ADIOS_LIBRARY
	NAMES adios_nompi
	PATHS /usr/lib/x86_64-linux-gnu
	NO_DEFAULT_PATH
	)

IF(ADIOS_INCLUDE_DIR)
	MESSAGE(STATUS "Found Adios-nompi header: ${ADIOS_INCLUDE_DIR}/adios.h")
ELSE()
	MESSAGE(FATAL_ERROR "Could not find Adios-nompi header")
ENDIF()

IF(ADIOS_LIBRARY)
	MESSAGE(STATUS "Found Adios-nompi library: ${ADIOS_LIBRARY}")
ELSE()
	MESSAGE(FATAL_ERROR "Could not find Adios-nompi library")
ENDIF()
