IF (${NAMEHOST} MATCHES ${NAMEHOST_ZEUS})
	FIND_LIBRARY(BZ2_LIBRARY
		NAMES bz2
		PATHS /usr/lib64
		NO_DEFAULT_PATH
	)
ELSE()
	FIND_LIBRARY(BZ2_LIBRARY
		NAMES bz2
		PATHS /usr/lib/x86_64-linux-gnu
		NO_DEFAULT_PATH
		)
ENDIF()

IF(BZ2_LIBRARY)
	SET(BZ2_LIBRARIES ${BZ2_LIBRARY})
ENDIF()

IF(BZ2_LIBRARIES)
	MESSAGE(STATUS "Found bz2 library: ${BZ2_LIBRARIES}")
ELSE()
	MESSAGE(FATAL_ERROR "Could not find bz2 library")
ENDIF()
