IF (${NAMEHOST} MATCHES ${NAMEHOST_ZEUS})
	FIND_LIBRARY(LAPACK_LIBRARY
		NAMES lapack
		PATHS /usr/lib64
		NO_DEFAULT_PATH
	)
ELSE()
	FIND_LIBRARY(LAPACK_LIBRARY
		NAMES lapack
		PATHS /usr/lib/x86_64-linux-gnu
		NO_DEFAULT_PATH
		)
ENDIF()

IF(LAPACK_LIBRARY)
	SET(LAPACK_LIBRARIES ${LAPACK_LIBRARY})
ENDIF()

IF(LAPACK_LIBRARIES)
	MESSAGE(STATUS "Found Lapack library: ${LAPACK_LIBRARIES}")
ELSE()
	MESSAGE(FATAL_ERROR "Could not find Lapack library")
ENDIF()
