FIND_LIBRARY(LAPACK_ATLAS_LIBRARY
	NAMES lapack_atlas
	PATHS /usr/lib/x86_64-linux-gnu
	NO_DEFAULT_PATH
	)

IF(LAPACK_ATLAS_LIBRARY)
	SET(LAPACK_ATLAS_LIBRARIES ${LAPACK_ATLAS_LIBRARY})
ENDIF(LAPACK_ATLAS_LIBRARY)

IF(LAPACK_ATLAS_LIBRARIES)
	MESSAGE(STATUS "Found Lapack-Atlas library: ${LAPACK_ATLAS_LIBRARIES}")
ELSE(LAPACK_ATLAS_LIBRARIES)
	MESSAGE(FATAL_ERROR "Could not find Lapack-Atlas library")
ENDIF(LAPACK_ATLAS_LIBRARIES)
