FIND_PATH(MXML_INCLUDE_PATH
	NAMES mxml.h
	PATHS /usr/include
	NO_DEFAULT_PATH
	)

FIND_LIBRARY(MXML_LIBRARY
	NAMES mxml
	PATHS /usr/lib/x86_64-linux-gnu
	NO_DEFAULT_PATH
	)

IF(MXML_LIBRARY)
	SET(MXML_LIBRARIES ${MXML_LIBRARY})
ENDIF()

IF(MXML_INCLUDE_PATH)
	MESSAGE(STATUS "Found mxml header: ${MXML_INCLUDE_PATH}/mxml.h")
ELSE()
	MESSAGE(FATAL_ERROR "Could not find mxml header")
ENDIF()

IF(MXML_LIBRARIES)
	MESSAGE(STATUS "Found mxml library: ${MXML_LIBRARIES}")
ELSE()
	MESSAGE(FATAL_ERROR "Could not find mxml library")
ENDIF()
