#ifndef HDF5_INTERFACE_H
#define HDF5_INTERFACE_H

//#include "./src/base/allocation.h"
#include "./src/base/defs.h"

void hdf5_write_0d_double(const char*, const char*, const char*, double);
void hdf5_write_0d_int(const char*, const char*, const char*, int);

//void hdf5_write_2d(const char*, const char*, const char*, double**, double, PARAMETERS);
//void hdf5_write_3d(const char*, const char*, const char*, double***, double, PARAMETERS);
void hdf5_write_2d(const char*, const char*, const char*, double**, PARAMETERS);
void hdf5_write_3d(const char*, const char*, const char*, double***, PARAMETERS);

void hdf5_read_0d_double(const char*, const char*, const char*, double *);
void hdf5_read_0d_int(const char*, const char*, const char*, int *);

//void hdf5_read_2d(const char*, const char*, const char*, double ***, double *, PARAMETERS *);
//void hdf5_read_3d(const char*, const char*, const char*, double ****, double *, PARAMETERS *);
void hdf5_read_2d(const char*, const char*, const char*, double ***, PARAMETERS *);
void hdf5_read_3d(const char*, const char*, const char*, double ****, PARAMETERS *);
int hdf5_search_in_file(const char *, const char *);

#endif
