#ifndef WRITE_DATA_H
#define WRITE_DATA_H

#if defined(key_adios) || defined(key_adios_nompi)
#include "./src/IO/adios_interface.h"
#else
#include "./src/base/defs.h"
#endif

#if defined(key_phdf5) || defined(key_hdf5)
#include "./src/IO/hdf5_interface.h"
#else
#include "./src/base/defs.h"
#endif

void write_logfile(double, double, const char*, int);
void cut_logfile(const char *, int);
void write_0d_double(const char*, const char*, const char*, double);
void write_0d_int(const char*, const char*, const char*, int);
void write_2d(const char*, const char*, const char*, double**, PARAMETERS);
void write_3d(const char*, const char*, const char*, double***, PARAMETERS);
void write_enriched_parameters(PARAMETERS);


#endif
