#ifndef CROSS_SECTION_H
#define CROSS_SECTION_H

//#include "allocation.h"
#include "defs.h"
#include "allocation.h"
#include "fugacity.h"
#include "sphere_lebedev_rule.h"


double sinc(double);
double phi2(double, PARAMETERS);
double phi3(double, PARAMETERS);
double psi3(double, PARAMETERS);
void expanded_collision_modes(double **, double **, PARAMETERS);

double collision_kernel(double, double, PARAMETERS);
void compute_points_weights_force_convolution(double, int, int, int, int, double ***, double ***, double **, int *);
void compute_ABCW_force_convolution(double *, double ***, double ***, double ***, PARAMETERS);

double ftest_int_2d(double *, double *);
double ftest_int_3d(double *, double *);
double integrate_Gamba_2d(double, int, int, int);
double integrate_Gamba_3d(double, int, int, int);

#endif
