#ifndef INITIALIZATION_H
#define INITIALIZATION_H

//#ifdef key_cufft
//#include "read_data.h"
//#else
//#include "./src/IO/read_data.h"
//#endif
//#include "./src/IO/write_data.h"
//#include "./src/core/fugacity.h"
//#include "./src/core/stationary_functions.h"
#include "./src/core/stationary_states.h"
#include "./src/core/exact_solutions.h"
#include "./src/core/diagnostics.h"
#include "sphere_lebedev_rule.h"



void find_initial_step(PARAMETERS *parameters);

void initialization_from_backup(DIAGS *, PARAMETERS *);
void initialization_from_analytic(DIAGS *, PARAMETERS *);
void initialization_from_file(DIAGS *, PARAMETERS *);

void initialization(DIAGS *, PARAMETERS *);


#endif
