IF (${NAMEHOST} MATCHES ${NAMEHOST_ZEUS})
	FIND_LIBRARY(ATLAS_LIBRARY
		NAMES libatlas.a
		PATHS /usr/lib64/atlas
		NO_DEFAULT_PATH
	)
ELSE()
	FIND_LIBRARY(ATLAS_LIBRARY
		NAMES atlas
		PATHS /usr/lib/x86_64-linux-gnu
		NO_DEFAULT_PATH
		)
ENDIF()

IF(ATLAS_LIBRARY)
	SET(ATLAS_LIBRARIES ${ATLAS_LIBRARY})
ENDIF()

IF(ATLAS_LIBRARIES)
	MESSAGE(STATUS "Found Atlas library: ${ATLAS_LIBRARIES}")
ELSE()
	MESSAGE(FATAL_ERROR "Could not find Atlas library")
ENDIF()
