IF (${NAMEHOST} MATCHES ${NAMEHOST_ZEUS})
	FIND_PATH(GLIB_INCLUDE_PATH
		NAMES glib.h
		PATHS /usr/include/glib-2.0
		NO_DEFAULT_PATH
	)

	FIND_LIBRARY(GLIB_LIBRARY
		NAMES glib-2.0
		PATHS /usr/lib64
		NO_DEFAULT_PATH
	)
ELSE()
	FIND_PATH(GLIB_INCLUDE_PATH
		NAMES glib.h
		PATHS /usr/include/glib-2.0
		NO_DEFAULT_PATH
		)

	FIND_LIBRARY(GLIB_LIBRARY
		NAMES glib-2.0
		PATHS /usr/lib/x86_64-linux-gnu
		NO_DEFAULT_PATH
		)
ENDIF()

IF(GLIB_LIBRARY)
	SET(GLIB_LIBRARIES ${GLIB_LIBRARY})
ENDIF()

IF(GLIB_INCLUDE_PATH)
	MESSAGE(STATUS "Found glib header: ${GLIB_INCLUDE_PATH}/glib.h")
ELSE()
	MESSAGE(FATAL_ERROR "Could not find glib header")
ENDIF()

IF(GLIB_LIBRARIES)
	MESSAGE(STATUS "Found glib library: ${GLIB_LIBRARIES}")
ELSE()
	MESSAGE(FATAL_ERROR "Could not find glib library")
ENDIF()
