FIND_LIBRARY(SZ_LIBRARY
	NAMES sz
	PATHS /usr/lib/x86_64-linux-gnu
	NO_DEFAULT_PATH
	)

IF(SZ_LIBRARY)
	SET(SZ_LIBRARIES ${SZ_LIBRARY})
ENDIF()

IF(SZ_LIBRARIES)
	MESSAGE(STATUS "Found szip library: ${SZ_LIBRARIES}")
ELSE()
	MESSAGE(FATAL_ERROR "Could not find szip library")
ENDIF()
