IF (${NAMEHOST} MATCHES ${NAMEHOST_ZEUS})
	FIND_PATH(ZLIB_INCLUDE_PATH
		NAMES zlib.h
		PATHS /usr/include
		NO_DEFAULT_PATH
	)

	FIND_LIBRARY(ZLIB_LIBRARY
		NAMES z
		PATHS /usr/lib64
		NO_DEFAULT_PATH
	)

ELSE()
	FIND_PATH(ZLIB_INCLUDE_PATH
		NAMES zlib.h
		PATHS /usr/include
		NO_DEFAULT_PATH
		)

	FIND_LIBRARY(ZLIB_LIBRARY
		NAMES z
		PATHS /usr/lib/x86_64-linux-gnu
		NO_DEFAULT_PATH
		)
ENDIF()

IF(ZLIB_LIBRARY)
	SET(ZLIB_LIBRARIES ${ZLIB_LIBRARY})
ENDIF()

IF(ZLIB_INCLUDE_PATH)
	MESSAGE(STATUS "Found zlib header: ${ZLIB_INCLUDE_PATH}/zlib.h")
ELSE()
	MESSAGE(FATAL_ERROR "Could not find zlib header")
ENDIF()

IF(ZLIB_LIBRARIES)
	MESSAGE(STATUS "Found zlib library: ${ZLIB_LIBRARIES}")
ELSE()
	MESSAGE(FATAL_ERROR "Could not find zlib library")
ENDIF()
