#ifndef ADIOS_INTERFACE_H
#define ADIOS_INTERFACE_H

//#include "./src/base/allocation.h"
#include "./src/base/defs.h"

void adios_write_0d_double(const char*, const char*, const char*, double);
void adios_write_0d_int(const char*, const char*, const char*, int);

void adios_write_2d(const char*, const char*, const char*, double**, PARAMETERS);
void adios_write_3d(const char*, const char*, const char*, double***, PARAMETERS);

void adios_read_0d_double(const char*, const char*, const char*, double *);
void adios_read_0d_int(const char*, const char*, const char*, int *);

void adios_read_2d(const char*, const char*, const char*, double ***, PARAMETERS *);
void adios_read_3d(const char*, const char*, const char*, double ****, PARAMETERS *);


#endif
