#ifndef READ_DATA_H
#define READ_DATA_H

#if defined(key_adios) || defined(key_adios_nompi)
#include "./src/IO/adios_interface.h"
#else
#include "./src/base/defs.h"
#endif

#if defined(key_phdf5) || defined(key_hdf5)
#include "./src/IO/hdf5_interface.h"
#else
#include "./src/base/defs.h"
#endif

void read_logfile_lastline(double *, const char *);
void read_0d_double(const char*, const char*, const char*, double *);
void read_0d_int(const char*, const char*, const char*, int *);
void read_2d(const char*, const char*, const char*, double ***, PARAMETERS *);
void read_3d(const char*, const char*, const char*, double ****, PARAMETERS *);
int search_in_file(const char*, const char*);

#endif
