#ifndef XDMF_INTERFACE_H
#define XDMF_INTERFACE_H

#include "./src/base/defs.h"


mxml_node_t* xdmf_create_new_root(void);
mxml_node_t* xdmf_add_domain(mxml_node_t *);
void xdmf_write(mxml_node_t *, const char *);
mxml_node_t* xdmf_add_mesh(mxml_node_t *, const char *, const char *);
mxml_node_t* xdmf_add_scalar_data(mxml_node_t *, const char *, const char *, const char *, int);
mxml_node_t* xdmf_add_vector_data(mxml_node_t *, const char **, int, const char *);


#endif
