#ifndef DIAGNOSTICS_H
#define DIAGNOSTICS_H

//#include "./src/base/defs.h"
#include "./src/IO/write_data.h"
#include "./src/IO/read_data.h"
#include "./src/core/fugacity.h"

void compute_diagnostic(DIAGS *, int, PARAMETERS);
void compute_time_diagnostics(DIAGS *, double, PARAMETERS);
void write_xdmf_file(DIAGS, char *, char *, char *, char *, char *, char *, char *, char *, char *, PARAMETERS);
void shift_2d(double**, double**, PARAMETERS);
void shift_3d(double***, double***, PARAMETERS);
void save_all_data(DIAGS, double, double, const char*, PARAMETERS);
int integrity_test(const char *, int, int, int, int);
void cut_logfiles(const char *, int);



#endif
