#ifndef DIVERGENCE_H
#define DIVERGENCE_H

#include "./src/base/defs.h"
//#include "./src/base/allocation.h"

#if defined(key_fftw_mpi) || defined(key_fftw) || defined(key_fftw_openmp)
void compute_deriv_vx_fftw(fftw_complex *, fftw_complex *, PARAMETERS);
void compute_deriv_vy_fftw(fftw_complex *, fftw_complex *, PARAMETERS);
void compute_deriv_vz_fftw(fftw_complex *, fftw_complex *, PARAMETERS);

void compute_divergence_fftw(double **, double *, PARAMETERS);
#endif



#endif
