#ifndef STATIONARY_FUNCTIONS_H
#define STATIONARY_FUNCTIONS_H

#include "./src/base/defs.h"

void Dirac_3d(double ***, double, double *, double, PARAMETERS);

double classical_Maxwellian(double *, double, double *, double, int);
double classical_biMaxwellian(double *, double, double *, double *, double, int);
double classical_multiMaxwellian(double *,double, double **, double, int, int);
double quantum_Maxwellian(double *, double *, double, double, double, int, int);
double ball_indicator(double *, double, double *, double, int);


#endif
