#ifndef TIME_LOOP_H
#define TIME_LOOP_H

#ifdef key_cufft
#include "./src/core/cuda_collision.cuh"
//extern void collision_Qtotal_cufft(double *, double *, double **, double **, double, PARAMETERS);

#endif


#include "./src/core/collision.h"
#include "./src/core/cross_section.h"
#include "./src/core/diagnostics.h"
#include "./src/core/stationary_states.h"
#include "./src/core/exact_solutions.h"
//#include "./src/core/fugacity.h"
#include "./src/core/divergence.h"

double Linf_QG(double *QGloc, PARAMETERS);
void moms012_QG(double *, double *, double *, double *, double *, double, PARAMETERS);

void time_loop(DIAGS *, PARAMETERS);

#endif
